Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview
Interface PeerReviewCallback<Handle,Identifier>

All Superinterfaces:
  Destructable, IdentityTransportCallback<Handle,Identifier>, StatusChangeListener<Identifier>, StatusConstants, TransportLayerCallback<Handle,java.nio.ByteBuffer>

All Known Implementing Classes:
  PeerReviewCallbackImpl

    public interface PeerReviewCallback<Handle,Identifier>

extends Destructable, IdentityTransportCallback<Handle,Identifier>, StatusChangeListener<Identifier>

Callback interface that all PeerReview-enabled applications must implement. During normal operation, PeerReview uses this interface to checkpoint the application, and to inquire about the witness set of another node.

Field Summary

Fields inherited from interface org.mpisws.p2p.transport.peerreview.StatusConstants
`STATUS_EXPOSED, STATUS_SUSPECTED, STATUS_TRUSTED`

Method Summary
`java.util.Collection<Handle>` | `getMyWitnessedNodes()`
`PeerReviewCallback<Handle,Identifier>` | `getReplayInstance(Verifier<Handle> v)`
`void` | `getWitnesses(Identifier subject, WitnessListener<Handle,Identifier> callback)`
`void` | `init()`
`boolean` | `loadCheckpoint(InputBuffer buffer)` Return false if the checkpoint is bogus.
`void` | `storeCheckpoint(OutputBuffer buffer)`

Methods inherited from interface rice.Destructable
`destroy`

Methods inherited from interface org.mpisws.p2p.transport.peerreview.identity.IdentityTransportCallback
`notifyCertificateAvailable`

Methods inherited from interface org.mpisws.p2p.transport.TransportLayerCallback
`incomingSocket, messageReceived`

Methods inherited from interface org.mpisws.p2p.transport.peerreview.infostore.StatusChangeListener
`notifyStatusChange`

Method Detail

### init

    void init()

### storeCheckpoint

    void storeCheckpoint(OutputBuffer buffer)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadCheckpoint

    boolean loadCheckpoint(InputBuffer buffer)
                           throws java.io.IOException

  Return false if the checkpoint is bogus.

  Parameters:
    `buffer` -
  Returns:
  Throws:
    `java.io.IOException`

### getWitnesses

    void getWitnesses(Identifier subject,
                      WitnessListener<Handle,Identifier> callback)

### getMyWitnessedNodes

    java.util.Collection<Handle> getMyWitnessedNodes()

### getReplayInstance

    PeerReviewCallback<Handle,Identifier> getReplayInstance(Verifier<Handle> v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.